| Flutter Linux Embedder |

Classes | Functions | Variables
fl_socket_accessible.cc File Reference
`#include "flutter/shell/platform/linux/fl_socket_accessible.h"`

Go to the source code of this file.

## Classes
struct | _FlSocketAccessible

## Functions
| G_DEFINE_TYPE (FlSocketAccessible, fl_socket_accessible, GTK_TYPE_CONTAINER_ACCESSIBLE) static AtkObject *fl_socket_accessible_ref_child(AtkObject *object
static int | fl_socket_accessible_get_n_children (AtkObject *object)
static void | fl_socket_accessible_finalize (GObject *object)
static void | fl_socket_accessible_initialize (AtkObject *object, gpointer data)
static void | fl_socket_accessible_class_init (FlSocketAccessibleClass *klass)
static void | fl_socket_accessible_init (FlSocketAccessible *self)
void | fl_socket_accessible_embed (FlSocketAccessible *self, gchar *id)

## Variables
int | i

## Function Documentation

## ◆ fl_socket_accessible_class_init()

static void fl_socket_accessible_class_init | ( | FlSocketAccessibleClass * | klass | ) |
| static

Definition at line 43 of file fl_socket_accessible.cc.

43 {
44 GObjectClass* object_class = G_OBJECT_CLASS(klass);
45 object_class->finalize = fl_socket_accessible_finalize;
46
47 AtkObjectClass* atk_class = ATK_OBJECT_CLASS(klass);
48 atk_class->initialize = fl_socket_accessible_initialize;
49 atk_class->get_n_children = fl_socket_accessible_get_n_children;
50 atk_class->ref_child = fl_socket_accessible_ref_child;
51 }

References fl_socket_accessible_finalize(), fl_socket_accessible_get_n_children(), and fl_socket_accessible_initialize().

## ◆ fl_socket_accessible_embed()

void fl_socket_accessible_embed | ( | FlSocketAccessible * | self,
|  | gchar * | id
| ) |  |

Definition at line 55 of file fl_socket_accessible.cc.

55 {
56 atk_socket_embed(ATK_SOCKET(self->accessible_socket), id);
57 }

Referenced by realize_cb().

## ◆ fl_socket_accessible_finalize()

static void fl_socket_accessible_finalize | ( | GObject * | object | ) |
| static

Definition at line 27 of file fl_socket_accessible.cc.

27 {
28 FlSocketAccessible* self = FL_SOCKET_ACCESSIBLE(object);
29
30 g_clear_object(&self->accessible_socket);
31
32 G_OBJECT_CLASS(fl_socket_accessible_parent_class)->finalize(object);
33 }

Referenced by fl_socket_accessible_class_init().

## ◆ fl_socket_accessible_get_n_children()

static int fl_socket_accessible_get_n_children | ( | AtkObject * | object | ) |
| static

Definition at line 23 of file fl_socket_accessible.cc.

23 {
24 return 1;
25 }

Referenced by fl_socket_accessible_class_init().

## ◆ fl_socket_accessible_init()

static void fl_socket_accessible_init | ( | FlSocketAccessible * | self | ) |
| static

Definition at line 53 of file fl_socket_accessible.cc.

53 {}

## ◆ fl_socket_accessible_initialize()

static void fl_socket_accessible_initialize | ( | AtkObject * | object,
|  | gpointer | data
| ) |  |
| static

Definition at line 35 of file fl_socket_accessible.cc.

35 {
36 FlSocketAccessible* self = FL_SOCKET_ACCESSIBLE(object);
37
38 ATK_OBJECT_CLASS(fl_socket_accessible_parent_class)->initialize(object, data);
39
40 self->accessible_socket = atk_socket_new();
41 }

Referenced by fl_socket_accessible_class_init().

## ◆ G_DEFINE_TYPE()

G_DEFINE_TYPE | ( | FlSocketAccessible | ,
|  | fl_socket_accessible | ,
|  | GTK_TYPE_CONTAINER_ACCESSIBLE |
| ) |  |

## Variable Documentation

## ◆ i

return i

Initial value:
{
FlSocketAccessible* self = FL_SOCKET_ACCESSIBLE(object)

Definition at line 18 of file fl_socket_accessible.cc.

Referenced by flutter::AccessibilityBridge::CommitUpdates(), flutter::TextInputModel::DeleteSurrounding(), fl_accessible_node_do_action(), fl_accessible_node_get_name(), fl_accessible_node_ref_child(), fl_accessible_node_ref_state_set(), fl_accessible_node_set_actions_impl(), fl_accessible_node_set_children(), fl_accessible_node_set_flags_impl(), fl_renderer_present_layers(), fl_standard_message_codec_real_write_value(), fl_value_equal(), fl_value_lookup_index(), fl_value_new_list_from_strv(), fl_view_accessible_handle_update_semantics(), fl_view_accessible_ref_child(), float_to_string(), G_DEFINE_TYPE(), g_ptr_array_find_with_equal_func1(), get_paragraph_at_offset(), flutter::GetSwitchesFromEnvironment(), has_child(), FlValueHandler::Int(), FlValueHandler::Int64(), read_list_value(), read_map_value(), flutter::StandardCodecSerializer::ReadValueOfType(), render_with_blit(), render_with_textures(), send_events_listen_cb(), set_editable_size_and_transform(), setup_locales(), flutter::TEST(), TEST(), FlValueHandler::Uint(), FlValueHandler::Uint64(), value_to_string(), and flutter::ByteBufferStreamWriter::WriteAlignment().

fl_socket_accessible_get_n_children
static int fl_socket_accessible_get_n_children(AtkObject *object)
Definition: fl_socket_accessible.cc:23
fl_socket_accessible_finalize
static void fl_socket_accessible_finalize(GObject *object)
Definition: fl_socket_accessible.cc:27
fl_socket_accessible_initialize
static void fl_socket_accessible_initialize(AtkObject *object, gpointer data)
Definition: fl_socket_accessible.cc:35